> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Directories

> List all directories in organization.



## OpenAPI

````yaml get /orgs/{org_id}/nodes/directories
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/{org_id}/nodes/directories:
    get:
      tags:
        - directories
      summary: List All Directories
      description: List all directories in organization.
      operationId: list_all_directories_orgs__org_id__nodes_directories_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: prefix
          in: query
          required: false
          schema:
            type: string
            title: Prefix
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectoryListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DirectoryListResponse:
      properties:
        directories:
          items:
            $ref: '#/components/schemas/DirectoryResponse'
          type: array
          title: Directories
          description: List of directories
        total:
          type: integer
          title: Total
          description: Total number of directories
      type: object
      required:
        - directories
        - total
      title: DirectoryListResponse
      description: Response model for directory lists.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DirectoryResponse:
      properties:
        path:
          type: string
          title: Path
          description: Directory path
        node_count:
          type: integer
          title: Node Count
          description: Number of nodes in directory
      type: object
      required:
        - path
        - node_count
      title: DirectoryResponse
      description: Response model for directory data.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````